multimedia/flvstreamer - The NetBSD Packages Collection

Open source command-line RTMP client

flvstreamer is an open source command-line RTMP client intended to stream audio
or video content from all types of flash or rtmp servers. Forked from rtmpdump
v1.6 with encrypted rtmp and swf verification support removed. This tool
provides free interoperability with the previously undocumented adobe RTMP
protocol so widely in use on the internet today. It was developed entirely by
reverse engineering methods and without access to any proprietary or
restrictive-license protocol specifications.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfflvstreamer-2.1c1.tgz
NetBSD 8.0earmv7hfflvstreamer-2.1c1.tgz
NetBSD 8.0earmv7hfflvstreamer-2.1c1.tgz
NetBSD 8.0earmv7hfflvstreamer-2.1c1.tgz
NetBSD 8.0i386flvstreamer-2.1c1.tgz
NetBSD 8.0i386flvstreamer-2.1c1.tgz
NetBSD 8.0i386flvstreamer-2.1c1.tgz
NetBSD 8.0i386flvstreamer-2.1c1.tgz
NetBSD 8.0powerpcflvstreamer-2.1c1.tgz
NetBSD 8.0powerpcflvstreamer-2.1c1.tgz
NetBSD 8.0powerpcflvstreamer-2.1c1.tgz
NetBSD 8.0powerpcflvstreamer-2.1c1.tgz
NetBSD 8.0powerpcflvstreamer-2.1c1.tgz
NetBSD 8.0x86_64flvstreamer-2.1c1.tgz
NetBSD 8.0x86_64flvstreamer-2.1c1.tgz
NetBSD 8.0x86_64flvstreamer-2.1c1.tgz
NetBSD 8.0x86_64flvstreamer-2.1c1.tgz
NetBSD 9.0aarch64flvstreamer-2.1c1.tgz
NetBSD 9.0aarch64flvstreamer-2.1c1.tgz
NetBSD 9.0aarch64flvstreamer-2.1c1.tgz
NetBSD 9.0aarch64flvstreamer-2.1c1.tgz
NetBSD 9.0alphaflvstreamer-2.1c1.tgz
NetBSD 9.0alphaflvstreamer-2.1c1.tgz
NetBSD 9.0earmflvstreamer-2.1c1.tgz
NetBSD 9.0earmflvstreamer-2.1c1.tgz
NetBSD 9.0earmv6hfflvstreamer-2.1c1.tgz
NetBSD 9.0earmv6hfflvstreamer-2.1c1.tgz
NetBSD 9.0earmv6hfflvstreamer-2.1c1.tgz
NetBSD 9.0earmv6hfflvstreamer-2.1c1.tgz
NetBSD 9.0earmv6hfflvstreamer-2.1c1.tgz
NetBSD 9.0earmv7hfflvstreamer-2.1c1.tgz
NetBSD 9.0earmv7hfflvstreamer-2.1c1.tgz
NetBSD 9.0earmv7hfflvstreamer-2.1c1.tgz
NetBSD 9.0earmv7hfflvstreamer-2.1c1.tgz
NetBSD 9.0earmv7hfflvstreamer-2.1c1.tgz
NetBSD 9.0earmv7hfflvstreamer-2.1c1.tgz
NetBSD 9.0earmv7hfflvstreamer-2.1c1.tgz
NetBSD 9.0i386flvstreamer-2.1c1.tgz
NetBSD 9.0i386flvstreamer-2.1c1.tgz
NetBSD 9.0i386flvstreamer-2.1c1.tgz
NetBSD 9.0i386flvstreamer-2.1c1.tgz
NetBSD 9.0mips64ebflvstreamer-2.1c1.tgz
NetBSD 9.0mips64ebflvstreamer-2.1c1.tgz
NetBSD 9.0mips64ebflvstreamer-2.1c1.tgz
NetBSD 9.0mips64ebflvstreamer-2.1c1.tgz
NetBSD 9.0powerpcflvstreamer-2.1c1.tgz
NetBSD 9.0powerpcflvstreamer-2.1c1.tgz
NetBSD 9.0powerpcflvstreamer-2.1c1.tgz
NetBSD 9.0powerpcflvstreamer-2.1c1.tgz
NetBSD 9.0powerpcflvstreamer-2.1c1.tgz
NetBSD 9.0sparc64flvstreamer-2.1c1.tgz
NetBSD 9.0sparc64flvstreamer-2.1c1.tgz
NetBSD 9.0sparcflvstreamer-2.1c1.tgz
NetBSD 9.0sparcflvstreamer-2.1c1.tgz
NetBSD 9.0sparcflvstreamer-2.1c1.tgz
NetBSD 9.0x86_64flvstreamer-2.1c1.tgz
NetBSD 9.0x86_64flvstreamer-2.1c1.tgz
NetBSD 9.0x86_64flvstreamer-2.1c1.tgz
NetBSD 9.0x86_64flvstreamer-2.1c1.tgz
NetBSD 9.0x86_64flvstreamer-2.1c1.tgz
NetBSD 9.0x86_64flvstreamer-2.1c1.tgz
NetBSD 9.0x86_64flvstreamer-2.1c1.tgz
NetBSD 9.0x86_64flvstreamer-2.1c1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.